#!/bin/bash

clear
if [ ! -n "$JAVA_HOME" ] ; then . ./prepair-Java9.sh ; fi
if [ ! -n "$JAVA_HOME" ] ; then echo -e "\nFehler: JAVA_HOME ist nicht definiert.\n" ; exit 1 ; fi
echo
echo JAVA_HOME=$JAVA_HOME
echo
java -version
echo
javac -version
echo
if [ -d classes ] ; then rm -r classes ; fi
for x in modules/de.meinefirma.* ; do rm $x ; done
echo
javac -p modules -d classes/de.meinefirma.meinutil src/de.meinefirma.meinutil/*.java src/de.meinefirma.meinutil/de/meinefirma/meinutil/*.java
jar --create --file modules/de.meinefirma.meinutil-1.0.jar --module-version 1.0 -C classes/de.meinefirma.meinutil .
javac -p modules -d classes/de.meinefirma.meineapp src/de.meinefirma.meineapp/*.java src/de.meinefirma.meineapp/de/meinefirma/meineapp/*.java
jar --create --file modules/de.meinefirma.meineapp-1.0.jar --module-version 1.0 --main-class de.meinefirma.meineapp.MeineApp -C classes/de.meinefirma.meineapp .
echo "---- de.meinefirma.meineapp meldet:"
java -p modules -m de.meinefirma.meineapp
echo
