package de.meinefirma.meinutil;

public class MeinUtil
{
   public static void main( String[] args ) {
      System.out.println( "\n---- Version 3, MeinUtil.class aus: " + MeinUtil.class.getModule() );
      try {
         System.out.println( ExtraUtil.test() );
      } catch( NoClassDefFoundError ex ) {
         System.out.println( "     de.meinefirma.meinutil.ExtraUtil aus meinutilv2 kann nicht direkt verwendet werden (" +
                                   ex.getClass().getSimpleName() + ")." );
      }
      try {
         Class<?> clss = MeinUtil.class.getClassLoader().loadClass( "de.meinefirma.meinutil.ExtraUtil" );
         System.out.println( ((ExtraUtil) clss.getConstructor().newInstance()).test() );
      } catch( ReflectiveOperationException ex ) {
         System.out.println( "     de.meinefirma.meinutil.ExtraUtil aus meinutilv2 kann nicht per Reflection verwendet werden (" +
                                   ex.getClass().getSimpleName() + ")." );
      }
      try {
         System.out.println( de.meinefirma.extrapackage.ExtraKlasse.test() );
      } catch( NoClassDefFoundError ex ) {
         System.out.println( "     de.meinefirma.extrapackage.ExtraKlasse aus meinutilv2 kann nicht verwendet werden (" +
                                   ex.getClass().getSimpleName() + ")." );
      }
   }
}
